Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Mon, 16 Mar 2020 07:50:46 +0100

Em Fri, 13 Mar 2020 08:07:35 +0100
Mauro Carvalho Chehab <[email-masked]> escreveu:

> Em Fri, 13 Mar 2020 13:19:03 +1100
> Stephen Rothwell <[email-masked]> escreveu:
> 
> > Hi all,
> > 
> > After merging the v4l-dvb tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > ERROR: modpost: "fwnode_get_name" [drivers/media/v4l2-core/v4l2-fwnode.ko] undefined!
> > 
> > Caused by commit
> > 
> >   dfc22c073b78 ("media: v4l2-fwnode: add initial connector parsing support")
> > 
> > I have used the v4l-dvb tree from next-20200312 for today.  
>  
> Hmm... I double-checked at next-20200312. This function is defined
> at linux/property.h header:
> 
> 	include/linux/property.h:const char *fwnode_get_name(const struct fwnode_handle *fwnode);

...

> So, at least up to next-20200312, everything looks fine on my eyes.
> 
> The header is probably there, as the error happened at link stage.
> 
> Maybe there is some merge conflict caused by merging a patch from
> some other tree that might have renamed or removed its implementation
> after next-20200312, or changed from obj-y target?
> 
> Or maybe this changeset got reverted?
> 
> 	a7914d1072fb ("device property: Export fwnode_get_name()")

I ended by cherry-picking this patch, applying it today on my tree.

Hopefully, this would avoid build problems and won't cause non-trivial
merge conflicts.

Thanks,
Mauro